unit callThread;

interface

uses
  Classes;

type
  TCallThread = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  end;

implementation
uses MonteCarloPK;

{ Important: Methods and properties of objects in VCL can only be used in a
  method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure TCallThread.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ TCallThread }

procedure TCallThread.Execute;
begin
  { Place thread code here }
  mkPK.PlayAllStep(Self);
end;

end.
