unit wndAllPlayResults;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls, contnrs;

type
  TAllPlayResults = class(TForm)
    chWorkClients: TChart;
    Series1: TBarSeries;
    chErrors: TChart;
    BarSeries1: TBarSeries;
    buDelete: TButton;
    Label1: TLabel;
    edCurTime: TEdit;
    Label2: TLabel;
    edRecall: TButton;
    procedure buDeleteClick(Sender: TObject);
    procedure edRecallClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    m_resultsList: TObjectList; //      
    m_allTime: Double; // 
  end;

var
  AllPlayResults: TAllPlayResults;

implementation
uses wndPlayResults, MonteCarloPK;
{$R *.DFM}

procedure TAllPlayResults.buDeleteClick(Sender: TObject);
var
 i: Integer;
 curWndResult: TfmPlayResults;
begin
 for i:=0 to (m_resultsList.Count-1) do begin
  try
   curWndResult := m_resultsList.Items[i] As  TfmPlayResults;
   curWndResult.Release;
  except
  end;
 end;
// Release;
end;

procedure TAllPlayResults.edRecallClick(Sender: TObject);
var
 curWndResult: TfmPlayResults;
 gistData, gistData2: Array[0..19] of Integer;
 minD, maxD, curD, curD2, minD2, maxD2: Double;
 i, curStep: Integer;
begin
  curStep := Round((mkPK.M*StrToFloat(edCurTime.Text))/m_allTime);

  if curStep > mkPK.M then begin
    ShowMessage('          ' +
      FloatToStr(m_allTime) + ' .');
    exit;
  end;

  if curStep = mkPK.M then   Dec(curStep);


  chWorkClients.Series[0].Clear;
  chErrors.Series[0].Clear;

  minD := 0; maxD := 0;
  minD2 := 0; maxD2 := 0;
  for i:=0 to (m_resultsList.Count - 1) do begin
      curWndResult := m_resultsList.Items[i] As TfmPlayResults;
      curD := curWndResult.chNums.Series[0].YValue[curStep];
      if( i= 0 ) then begin
        maxD := curD;
        minD := curD;
      end
      else begin
        if maxD < curD then maxD := curD;
        if minD > curD then minD := curD;
      end;

      curD2 := curWndResult.chErrors.Series[0].YValue[curStep];
      if( i= 0 ) then begin
        maxD2 := curD2;
        minD2 := curD2;
      end
      else begin
        if maxD2 < curD2 then maxD2 := curD2;
        if minD2 > curD2 then minD2 := curD2;
      end;
  end; //for i:=0 to (resultsList.Count - 1) do begin


    for i:=0 to 19 do begin gistData[i]:=0; gistData2[i]:=0; end;

    for i:=0 to (m_resultsList.Count - 1) do begin
      curWndResult := m_resultsList.Items[i] As TfmPlayResults;
      curD := curWndResult.chNums.Series[0].YValue[curStep];
      if maxD<>minD then Inc(gistData[Trunc(((curD-minD)*19)/(maxD-minD))])
      else Inc(gistData[0]);

      curD2 := curWndResult.chErrors.Series[0].YValue[curStep];
      if maxD2<>minD2 then Inc(gistData2[Trunc(((curD2-minD2)*19)/(maxD2-minD2))])
      else Inc(gistData2[0]);
    end; //for i:=0 to (resultsList.Count - 1) do begin

    for i:= 0 to 19 do begin
      chWorkClients.Series[0].AddXY(minD+(i*(maxD-minD))/19, gistData[i], '',  clTeeColor);
      chErrors.Series[0].AddXY(minD2 + (i*(maxD2-minD2))/19, gistData2[i], '',  clTeeColor);
    end;
    mkPK.MultySeriesVal(chWorkClients.Series[0], 1/mkPK.K);
    mkPK.MultySeriesVal(chErrors.Series[0], 1/mkPK.K);

end;

end.
